Package com.logicaldoc.core.security.user

# Interface UserListener

public interface UserListener
This interface defines hooks called before and after a particular event occurs on the specified user.

Each methods has access to a dictionary map that can be used through the execution pipeline in order to carry needed informations among all listeners.

Since:
  5.1
Author:
  Matteo Caruso - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`void`
`afterStore(User user, UserHistory transaction, Map<String,Object> dictionary)`
Called after a user is stored in the database
`void`
`beforeStore(User user, UserHistory transaction, Map<String,Object> dictionary)`
Called before a user is stored in the database

## Method Details

### beforeStore

void beforeStore(User user, UserHistory transaction, Map<String,Object> dictionary) throws PersistenceException
Called before a user is stored in the database

Parameters:
  `user` - The user to be stored
  `transaction` - Transaction informations
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - raises if some kind of error happens during execution

### afterStore

void afterStore(User user, UserHistory transaction, Map<String,Object> dictionary) throws PersistenceException
Called after a user is stored in the database

Parameters:
  `user` - The user to be stored
  `transaction` - Transaction informations
  `dictionary` - Dictionary of the execution pipeline
Throws:
  `PersistenceException` - raises if some kind of error happens during execution